Skip to content

Instantly share code, notes, and snippets.

Embed
What would you like to do?
INFO 04-12 13:53:38 FastChainBodySyncer blks=1215 txs=4361 bps=121 tps=408 elapsed=5.0 head=#544699 7bd1..a23a age=2y1m3w
DEBUG 04-12 13:53:39 FullServer Receiving handshake from Address(128.199.38.116:udp:47720|tcp:47720)
DEBUG 04-12 13:53:39 FastChainBodySyncer Got receipts for 137/137 headers from ETHPeer <Node(0xdd5f@85.214.136.94)>, 119 trivial, from request for <BlockHeader #546654 d611f556>..<BlockHeader #546909 09c70c97>
DEBUG 04-12 13:53:39 FastChainBodySyncer Requesting receipts for 202 headers from ETHPeer <Node(0xdd5f@85.214.136.94)>
DEBUG 04-12 13:53:40 FastChainBodySyncer Got receipts for 234/234 headers from ETHPeer <Node(0x4ea4@193.77.151.5)>, 22 trivial, from request for <BlockHeader #547422 dc0d03dc>..<BlockHeader #547677 6ef43345>
DEBUG 04-12 13:53:40 FastChainBodySyncer Requesting receipts for 256 headers from ETHPeer <Node(0x4ea4@193.77.151.5)>
DEBUG 04-12 13:53:40 FullServer Receiving handshake from Address(89.40.10.150:udp:53940|tcp:53940)
DEBUG 04-12 13:53:40 FullServer Failed to decrypt handshake: Failed to verify tag
DEBUG 04-12 13:53:40 FastChainBodySyncer Got receipts for 136/136 headers from ETHPeer <Node(0xf209@35.199.163.44)>, 120 trivial, from request for <BlockHeader #547166 7da4befe>..<BlockHeader #547421 8a0ad261>
DEBUG 04-12 13:53:40 FastChainBodySyncer Requesting receipts for 256 headers from ETHPeer <Node(0xf209@35.199.163.44)>
DEBUG 04-12 13:53:40 FastChainBodySyncer <coroutine object FastChainBodySyncer._persist_ready_blocks at 0x7fb0f45ff7c8> finished while <trinity.sync.full.chain.FastChainBodySyncer object at 0x7fb0f463a978> is still running, terminating as well4-12 13:53:40 FastChainBodySyncer Cancelling <trinity.sync.full.chain.FastChainBodySyncer object at 0x7fb0f463a978>
WARNING 04-12 13:53:40 FastChainBodySyncer Task <coroutine object FastChainBodySyncer._persist_ready_blocks at 0x7fb0f45ff848> finished unexpectedly: b'Corruption: corrupted compressed block contents'
DEBUG 04-12 13:53:40 FastChainBodySyncer Task failure traceback
trinity._utils.mp.RemoteTraceback:
"""
Traceback (most recent call last):
File "/home/veox/src/trinity/trinity/_utils/mp.py", line 68, in wrapper
return attr(*args, **kwargs)
File "/home/veox/src/trinity/.virtualenv/trinity/lib/python3.7/site-packages/eth/db/chain.py", line 237, in persist_block
return self._persist_block(db, block)
File "/usr/lib64/python3.7/contextlib.py", line 119, in __exit__
next(self.gen)
File "plyvel/_plyvel.pyx", line 91, in plyvel._plyvel.raise_for_status
plyvel._plyvel.CorruptionError: b'Corruption: corrupted compressed block contents'
"""
The above exception was the direct cause of the following exception:
Traceback (most recent call last):
File "/home/veox/src/trinity/p2p/service.py", line 139, in _run_task_wrapper
await awaitable
File "/home/veox/src/trinity/p2p/service.py", line 158, in _run_daemon_task_wrapper
await awaitable
File "/home/veox/src/trinity/trinity/sync/full/chain.py", line 673, in _persist_ready_blocks
await self.wait(self._persist_blocks(completed_headers))
File "/home/veox/src/trinity/p2p/cancellable.py", line 20, in wait
return await self.wait_first(awaitable, token=token, timeout=timeout)
File "/home/veox/src/trinity/p2p/cancellable.py", line 42, in wait_first
return await token_chain.cancellable_wait(*awaitables, timeout=timeout)
File "/home/veox/src/trinity/.virtualenv/trinity/lib/python3.7/site-packages/cancel_token/token.py", line 152, in cancellable_wait
return done.pop().result()
File "/home/veox/src/trinity/trinity/sync/full/chain.py", line 712, in _persist_blocks
await self.wait(self.db.coro_persist_block(block))
File "/home/veox/src/trinity/p2p/cancellable.py", line 20, in wait
return await self.wait_first(awaitable, token=token, timeout=timeout)
File "/home/veox/src/trinity/p2p/cancellable.py", line 42, in wait_first
return await token_chain.cancellable_wait(*awaitables, timeout=timeout)
File "/home/veox/src/trinity/.virtualenv/trinity/lib/python3.7/site-packages/cancel_token/token.py", line 152, in cancellable_wait
return done.pop().result()
File "/home/veox/src/trinity/trinity/_utils/mp.py", line 33, in method
args,
File "/usr/lib64/python3.7/concurrent/futures/thread.py", line 57, in run
result = self.fn(*self.args, **self.kwargs)
File "/usr/lib64/python3.7/multiprocessing/managers.py", line 811, in _callmethod
raise convert_to_error(kind, result)
plyvel._plyvel.CorruptionError: b'Corruption: corrupted compressed block contents'
DEBUG 04-12 13:53:40 FastChainBodySyncer <trinity.sync.full.chain.FastChainBodySyncer object at 0x7fb0f463a978> finished: Cancellation requested by FastChainBodySyncer:FastChainSyncer:FastThenFullChainSyncer:FullNode token
DEBUG 04-12 13:53:40 FastChainBodySyncer Waiting for tasks: [<Task pending coro=<FastChainBodySyncer._assign_receipt_download_to_peers() running at /home/veox/src/trinity/p2p/service.py:139> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x7faf7107d798>()]>>, <Task pending coro=<FastChainBodySyncer._launch_prerequisite_tasks() running at /home/veox/src/trinity/p2p/service.py:139> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x7fb0707354f8>()]>>, <Task pending coro=<FastChainBodySyncer._display_stats() running at /home/veox/src/trinity/p2p/service.py:139> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x7fb0cc440a98>()]>>, <Task pending coro=<WaitingPeers.put_nowait() running at /home/veox/src/trinity/p2p/service.py:139> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x7faf7083baf8>()]>>, <Task pending coro=<BaseBodyChainSyncer._assign_body_download_to_peers() running at /home/veox/src/trinity/p2p/service.py:139> wait_for=<Future pending cb=[<TaskWakeupMethWrapper object at 0x7fafb01e5f78>()]>>]
DEBUG 04-12 13:53:42 FullServer Could not complete handshake:
DEBUG 04-12 13:53:42 FullServer Receiving handshake from Address(213.222.210.80:udp:32796|tcp:32796)
DEBUG 04-12 13:53:42 ETHPeer Disconnecting from remote peer <Node(0xccf1@213.222.210.80)>; reason: too_many_peers
DEBUG 04-12 13:53:43 FullServer Receiving handshake from Address(128.199.38.116:udp:47828|tcp:47828)
DEBUG 04-12 13:53:44 SkeletonSyncer Skeleton header queue is 1147/1536 full
DEBUG 04-12 13:53:44 HeaderMeatSyncer Header Skeleton Gaps: active=0 queued=0 max=50
DEBUG 04-12 13:53:45 FullServer Receiving handshake from Address(139.99.121.182:udp:36198|tcp:36198)
DEBUG 04-12 13:53:45 ETHPeer Disconnecting from remote peer <Node(0x5af5@139.99.121.182)>; reason: too_many_peers
DEBUG 04-12 13:53:46 FullServer Could not complete handshake:
DEBUG 04-12 13:53:49 SkeletonSyncer Skeleton header queue is 1147/1536 full
alabaster==0.7.12
apipkg==1.5
argh==0.26.2
asn1crypto==0.24.0
async-generator==1.10
async-lru==0.1.0
asyncio-cancel-token==0.1.0a2
atomicwrites==1.2.1
attrdict==2.0.0
attrs==18.2.0
Babel==2.6.0
backcall==0.1.0
base58==1.0.3
bleach==3.1.0
bloom-filter==1.3
bumpversion==0.5.3
cachetools==2.1.0
certifi==2018.11.29
cffi==1.11.5
chardet==3.0.4
coincurve==10.0.0
colorama==0.4.1
coverage==4.5.2
cryptography==2.4.2
cytoolz==0.9.0.1
decorator==4.3.0
docopt==0.6.2
docutils==0.14
eth-abi==1.3.0
eth-account==0.2.3
eth-bloom==1.0.3
eth-hash==0.2.0
eth-keyfile==0.5.1
eth-keys==0.2.1
eth-rlp==0.1.2
eth-typing==2.1.0
eth-utils==1.4.1
execnet==1.5.0
flake8==3.5.0
flake8-bugbear==18.8.0
hexbytes==0.1.0
hypothesis==3.69.5
idna==2.7
ifaddr==0.1.6
imagesize==1.1.0
ipython==6.5.0
ipython-genutils==0.2.0
jedi==0.13.2
Jinja2==2.10
jsonschema==2.6.0
lahja==0.11.2
lru-dict==1.1.6
lxml==4.3.0
MarkupSafe==1.1.0
mccabe==0.6.1
more-itertools==5.0.0
multiaddr==0.0.4
mypy==0.641
mypy-extensions==0.4.1
netaddr==0.7.19
netdisco==2.3.0
netifaces==0.10.9
packaging==18.0
parsimonious==0.8.1
parso==0.3.1
pathtools==0.1.2
pexpect==4.6.0
pickleshare==0.7.5
pkginfo==1.5.0.1
pluggy==0.7.1
plyvel==1.0.5
prompt-toolkit==1.0.15
protobuf==3.7.0
ptyprocess==0.6.0
py==1.7.0
py-ecc==1.6.0
py-evm==0.2.0a42
pycodestyle==2.3.1
pycparser==2.19
pycryptodome==3.7.2
pyethash==0.1.27
pyflakes==1.6.0
Pygments==2.3.1
pymultihash==0.8.2
pyparsing==2.3.1
pysha3==1.0.2
pytest==3.6.4
pytest-asyncio==0.9.0
pytest-asyncio-network-simulator==0.1.0a2
pytest-cov==2.5.1
pytest-watch==4.2.0
pytest-xdist==1.18.1
python-dateutil==2.7.5
python-rocksdb==0.6.9
python-snappy==0.5.3
pytz==2018.9
PyYAML==3.13
readme-renderer==24.0
requests==2.21.0
requests-toolbelt==0.8.0
rlp==1.1.0
simplegeneric==0.8.1
six==1.12.0
snowballstemmer==1.2.1
Sphinx==1.7.9
sphinx-rtd-theme==0.4.2
sphinxcontrib-asyncio==0.2.0
sphinxcontrib-websupport==1.1.0
ssz==0.1.0a2
termcolor==1.1.0
toolz==0.9.0
tox==2.7.0
tqdm==4.29.1
traitlets==4.3.2
trie==1.3.8
-e git+git@github-veox:veox/trinity.git@3b52bdeef6e145f9d079de1dfdf0e246bcf62b54#egg=trinity
twine==1.12.1
typed-ast==1.1.1
typing-extensions==3.7.2
uPnPClient==0.0.8
urllib3==1.24.1
uvloop==0.11.2
varint==1.0.2
virtualenv==16.2.0
watchdog==0.9.0
wcwidth==0.1.7
web3==4.4.1
webencodings==0.5.1
websockets==5.0.1
zeroconf==0.21.3
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment